function [infra] = Infra_OneBoutExtract(sig, freq, sr, filt)
%INFRA_ONEBOUTEXTRACT is used to extract the infraslow signal from a given
%signal. The infra is given in a 10Hz resolution.

% Input:
% sig -> original signal
% freq -> the boundary frequency in Hz from wich to extract
% sr -> sampling rate of the original signal

% Output :
% infra -> the 10Hz infraslow signal

v_freq = freq(1):.5:freq(2);
[wav] = SL_wavelet(sig, v_freq, sr);
infra = mean(wav,1);
infra = decimate(infra, sr/10);

if nargin == 4
    %[a,be] = cheby2(8, 40, filt/5, 'low');
    %bhi = fir1(100, [0.015/10 0.025/10]);
    bhi = fir1(100, 0.025/10,'low');
    if filt == 1
        infra = filtfilt(bhi,1,infra);
    end
end

end

